Package: org.codehaus.groovy.transform.tailrec

## [Groovy] Class InWhileLoopWrapper

- org.codehaus.groovy.transform.tailrec.InWhileLoopWrapper

- Wrap the body of a method in a while loop, nested in a try-catch. This is the first step in making a tail recursive method iterative. There are two ways to invoke the next iteration step: 1. "continue _RECURE_HERE_" is used by recursive calls outside of closures 2. "throw LOOP_EXCEPTION" is used by recursive calls within closures b/c you cannot invoke "continue" from there

  Authors:
    Johannes Link

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static GotoRecurHereException` | `LOOP_EXCEPTION`
    `static String` | `LOOP_LABEL`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `wrap(MethodNode method)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### static final GotoRecurHereException LOOP_EXCEPTION

    - #### static final String LOOP_LABEL

  - ### Method Detail

    - #### void wrap(MethodNode method)